;+
; .. _swr_isccp_tropflux_correlation_fig10.pro:
;
; ========================================
; swr_isccp_tropflux_correlation_fig10.pro
; ========================================
;
; DESCRIPTION
; ===========
;
; .. graphviz::
;
;    digraph swr_isccp_tropflux_correlation_fig10 {
;       graph [
;       rankdir="LR",
;       ]
;       sst [shape=ellipse,fontname=Courier,label="${PROJECT_ID}/TropFlux_sst_19890101_20091231.nc"];
;
;       figure [shape=ellipse,fontname=Courier,label="${PROJECT_OD}/correlation_rmsd_olra_swra_smooth.ps"];
;
;       swr_isccp_tropflux_correlation_fig10 [shape=box,
;       fontname=Courier,
;       color=blue,
;       URL="http://forge.ipsl.jussieu.fr/tropflux/broswrer/trunk/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro",
;       label="${TROPFLUX}/src/paper01/fig11/swr_isccp_tropflux_correlation_fig10.pro"];
;
;       {sst} -> {swr_isccp_tropflux_correlation_fig10} -> {figure}
;    }
;
; SEE ALSO
; ========
;
; :ref:`project_profile.sh`
; :ref:`project_init.pro`
; :ref:`cm_project.pro`
;
; EXAMPLES
; ========
;
; ::
;
;  IDL> swr_isccp_tropflux_correlation_fig10
;
; TODO
; ====
;
; make it work on cratos : get rid of restore
;
; coding rules
;
; get rid of spwan
;
; complete description
;
; handle IO error
;
; EVOLUTIONS
; ==========
;
; $Id$
;
; - fplod 20110422T103945Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * typo
;
; - fplod 20110420T110411Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * remove hard coding path
;   * add graphviz
;
; - fplod 20110411T142955Z aedon.locean-ipsl.upmc.fr (Darwin)
;
;   * minimal header
;
;-
pro swr_isccp_tropflux_correlation_fig10
@cm_general
@cm_project
reinitplt, /z,/invert
key_portrait = 1

openps, FILENAME = 'idl.ps'
st=19890101 & en=20071231

restore, "/Users/pkb/work/MY_SAXO/correlation_isccp_olr.idl"

file=project_id_env+'TropFlux_sst_19890101_20091231.nc'
initncdf, file
sst=read_ncdf("sst", 20000101, 20091231, file=file,/nostr)
help, sst

sst=grossemoyenne(sst, "t",/nan)
lct=64
plt, cor,0.5,1, lct=lct, $
     small=[1,3,1],/rempl,/noer,/realcont, $
     charsize=cs,marge=marge, $
     subt='',title='a) Correlation (OLRA, SWRA)',xminor=1,yminor=1, $
     contour=sst-273.15, contmin=24, contmax=29, contint=1.5

closeps
fig=project_od_env+'correlation_rmsd_olra_swra_smooth.ps'
spawn, 'mv '+psdir+'idl.ps '+fig
spawn, 'gv '+fig
end
